# -*- coding: utf-8 -*-

from base_instance import Base
from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from sqlalchemy import Column, String, Numeric, Date

from read_file import read_db_ini


class PetrarchEvents2(Base):
    __tablename__ = 'EVENT_EN4'

    globaleventid = Column(String(100), nullable=False, primary_key=True)
    sqldate = Column(Date)
    monthyear = Column(String(6))
    year = Column(String(6))
    actor1code = Column(String(20))
    actor1name = Column(String(110))
    actor1countrycode = Column(String(20))
    actor1knowngroupcode = Column(String(45))
    actor1religion1code = Column(String(45))
    actor1religion2code = Column(String(45))
    actor1type1code = Column(String(10))
    actor1type2code = Column(String(10))
    actor1type3code = Column(String(10))
    actor2code = Column(String(20))
    actor2name = Column(String(110))
    actor2countrycode = Column(String(20))
    actor2knowngroupcode = Column(String(45))
    actor2religion1code = Column(String(45))
    actor2religion2code = Column(String(45))
    actor2type1code = Column(String(10))
    actor2type2code = Column(String(10))
    actor2type3code = Column(String(10))
    eventcode = Column(String(10))
    eventbasecode = Column(String(10))
    eventrootcode = Column(String(10))
    quadclass = Column(String(5))
    goldsteinscale = Column(Numeric)
    avgtone = Column(Numeric)
    actor1geo_fullname = Column(String(110))
    actor1geo_countrycode = Column(String(20))
    actor1geo_adm1code = Column(String(20))
    actor1geo_adm2code = Column(String(20))
    actor1geo_lat = Column(Numeric)
    actor1geo_long = Column(Numeric)
    actor1geo_featureid = Column(String(100))
    actor2geo_fullname = Column(String(110))
    actor2geo_countrycode = Column(String(20))
    actor2geo_adm1code = Column(String(20))
    actor2geo_adm2code = Column(String(20))
    actor2geo_lat = Column(Numeric)
    actor2geo_long = Column(Numeric)
    actor2geo_featureid = Column(String(100))
    actiongeo_type = Column(Numeric(10))
    actiongeo_fullname = Column(String(110))
    actiongeo_countrycode = Column(String(20))
    actiongeo_adm1code = Column(String(20))
    actiongeo_adm2code = Column(String(20))
    actiongeo_lat = Column(Numeric)
    actiongeo_long = Column(Numeric)
    actiongeo_featureid = Column(String(100))
    dateadded = Column(String(20))
    sourceurl = Column(String(4000))
    event_sentence = Column(String(4000))
    language_flag = Column(Numeric)
    rule_matched = Column(String(1000))
    big_event_id = Column(String(100))
    politics = Column(Numeric(1))
    military = Column(Numeric(1))
    economy = Column(Numeric(1))
    ner_result = Column(String(4000))
    verb_no = Column(Numeric(1))
    publishdate = Column(Date)
    precisedate = Column(Numeric(1))
    sentid = Column(Numeric)
    paraid = Column(Numeric)
    sentidinpara = Column(Numeric)
    relationscale = Column(Numeric)


connect_string = read_db_ini()
engine = create_engine(connect_string, pool_size=1)
Session = sessionmaker(bind=engine)
